%define	name	python-numeric
%define	version	24.2
%define rel	5
%define	release %mkrel %{rel}

Summary:	Python numerical facilities 
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	BSD-like
URL:		http://www.pfdubois.com/numpy/
Group:		Development/Python
Source0:	Numeric-%{version}.tar.bz2
Source1:	numpy.pdf.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}buildroot
Requires:	python >= 2.0
BuildRequires:	python-devel

%description
A collection of extension modules to provide high-performance multidimensional
numeric arrays to the Python programming language.

%package	devel
Group:		Development/Python
Summary:	Python numerical facilities
Requires:	python-devel %{name} = %{version}

%description	devel
A collection of extension modules to provide high-performance multidimensional
numeric arrays to the Python programming language.

Devel files

%prep
%setup -n Numeric-%{version} -q
cp %{SOURCE1} .
bunzip2 numpy.pdf.bz2

%build
export CFLAGS="%{optflags}"
python setup.py build
for Package in FFT LALITE MA RANLIB RNG; do
    (cd Packages/$Package; python setup.py build)
done

%install
rm -rf %{buildroot}
python setup.py install --root=%{buildroot}
for Package in FFT LALITE MA RANLIB RNG; do
    (cd Packages/$Package; python setup.py install --root=%{buildroot} --optimize=2)
done

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc MANIFEST README changes.txt
%dir %python_sitelib/Numeric
%dir %python_sitearch/Numeric
%python_sitelib/Numeric/*
%python_sitearch/Numeric/*
%python_sitelib/Numeric.pth
%python_sitearch/Numeric.pth

%files devel
%defattr(-,root,root)
%doc Demo Test numpy.pdf
%{_includedir}/python*/Numeric


%changelog
* Sat Sep 08 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 24.2-5mdv2008.0
+ Revision: 82467
- rebuild with optflags
  use macros in file list


* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 24.2-4mdv2007.0
+ Revision: 87991
- rebuild

* Thu Oct 26 2006 Lev Givon <lev@mandriva.org> 24.2-3mdv2007.0
+ Revision: 72892
- Remove old python-numpy provides/obsoletes
  (which clash with newer python-numpy package)
- Import python-numeric

* Sat Aug 12 2006 Emmanuel Andry <eandry@mandriva.org> 24.2-2mdv2007.0
- fix 86_64 packaging

* Fri Mar 10 2006 Jerome Soyer <saispo@mandriva.org> 24.2-1mdk
- New release 24.2

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 24.0-2mdk
- Rebuild

* Fri Jul 15 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 24.0-1mdk
- 24.0
- fix requires
- %%mkrel

* Sat Dec 04 2004 Michael Scherer <misc@mandrake.org> 23.1-3mdk
- Rebuild for new python

* Tue Dec 16 2003 Lenny Cartier <lenny@mandrakesoft.com> 23.1-2mdk
- requires python-devel

* Fri Dec 12 2003 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 23.1-1mdk
- 23.1

